Bug 997143 - [abrt] btrfs-progs-0.20.rc1.20130308git704a08c-1.fc19: close_ctree: Process /usr/sbin/btrfs was killed by signal 6 (SIGABRT)
[abrt] btrfs-progs-0.20.rc1.20130308git704a08c-1.fc19: close_ctree: Process /...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
abrt_hash:c24e0971033da11ed59ff8bee66...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 14:53 EDT by Sergey Kurtsev
Modified: 2013-11-26 10:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 10:26:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.42 KB, text/plain)
2013-08-14 14:53 EDT, Sergey Kurtsev
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-14 14:53 EDT, Sergey Kurtsev
no flags Details
File: core_backtrace (2.08 KB, text/plain)
2013-08-14 14:53 EDT, Sergey Kurtsev
no flags Details
File: dso_list (726 bytes, text/plain)
2013-08-14 14:53 EDT, Sergey Kurtsev
no flags Details
File: environ (3.19 KB, text/plain)
2013-08-14 14:53 EDT, Sergey Kurtsev
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-14 14:53 EDT, Sergey Kurtsev
no flags Details
File: maps (2.35 KB, text/plain)
2013-08-14 14:53 EDT, Sergey Kurtsev
no flags Details
File: open_fds (156 bytes, text/plain)
2013-08-14 14:53 EDT, Sergey Kurtsev
no flags Details
File: proc_pid_status (762 bytes, text/plain)
2013-08-14 14:53 EDT, Sergey Kurtsev
no flags Details
File: var_log_messages (4.16 KB, text/plain)
2013-08-14 14:53 EDT, Sergey Kurtsev
no flags Details

  None (edit)
Description Sergey Kurtsev 2013-08-14 14:53:03 EDT
Description of problem:
Was trying to execute  'btrs restore /dev/FROM /mnt/TO'
Example of the error:
[root@sk BACKUP1]# btrfs restore /dev/md127 /STORAGE/BACKUP1
parent transid verify failed on 321916166144 wanted 402255 found 402254
parent transid verify failed on 321916166144 wanted 402255 found 402254
parent transid verify failed on 321916166144 wanted 402255 found 402254
parent transid verify failed on 321916166144 wanted 402255 found 402254
Ignoring transid failure
Root objectid is 5
Skipping existing file /STORAGE/BACKUP1/VirtualBox VMs/Win XP/Windows XP Pro.vdi
If you wish to overwrite use the -o option to overwrite
*** Error in `btrfs': double free or corruption (!prev): 0x084180e8 ***
======= Backtrace: =========
/lib/libc.so.6[0x4d75ccf2]
btrfs[0x806c339]
btrfs[0x8063973]
btrfs[0x804a1cd]
/lib/libc.so.6(__libc_start_main+0xf3)[0x4d700963]
btrfs[0x804a2e1]
======= Memory map: ========
08048000-0809e000 r-xp 00000000 fd:01 1181309    /usr/sbin/btrfs
0809e000-0809f000 r--p 00055000 fd:01 1181309    /usr/sbin/btrfs
0809f000-080a0000 rw-p 00056000 fd:01 1181309    /usr/sbin/btrfs
080a0000-080a1000 rw-p 00000000 00:00 0 
083df000-18930000 rw-p 00000000 00:00 0          [heap]
456d3000-456d7000 r-xp 00000000 fd:01 1179654    /usr/lib/libuuid.so.1.3.0
456d7000-456d8000 r--p 00003000 fd:01 1179654    /usr/lib/libuuid.so.1.3.0
456d8000-456d9000 rw-p 00004000 fd:01 1179654    /usr/lib/libuuid.so.1.3.0
457ad000-457e6000 r-xp 00000000 fd:01 1179659    /usr/lib/libblkid.so.1.1.0
457e6000-457e8000 r--p 00038000 fd:01 1179659    /usr/lib/libblkid.so.1.1.0
457e8000-457e9000 rw-p 0003a000 fd:01 1179659    /usr/lib/libblkid.so.1.1.0
457e9000-457ea000 rw-p 00000000 00:00 0 
4d6c4000-4d6e3000 r-xp 00000000 fd:01 1207415    /usr/lib/ld-2.17.so
4d6e3000-4d6e4000 r--p 0001e000 fd:01 1207415    /usr/lib/ld-2.17.so
4d6e4000-4d6e5000 rw-p 0001f000 fd:01 1207415    /usr/lib/ld-2.17.so
4d6e7000-4d89e000 r-xp 00000000 fd:01 1207709    /usr/lib/libc-2.17.so
4d89e000-4d8a0000 r--p 001b6000 fd:01 1207709    /usr/lib/libc-2.17.so
4d8a0000-4d8a1000 rw-p 001b8000 fd:01 1207709    /usr/lib/libc-2.17.so
4d8a1000-4d8a4000 rw-p 00000000 00:00 0 
4d8a6000-4d8bc000 r-xp 00000000 fd:01 1207714    /usr/lib/libpthread-2.17.so
4d8bc000-4d8bd000 r--p 00015000 fd:01 1207714    /usr/lib/libpthread-2.17.so
4d8bd000-4d8be000 rw-p 00016000 fd:01 1207714    /usr/lib/libpthread-2.17.so
4d8be000-4d8c0000 rw-p 00000000 00:00 0 
4d8c9000-4d90a000 r-xp 00000000 fd:01 1185370    /usr/lib/libm-2.17.so
4d90a000-4d90b000 r--p 00040000 fd:01 1185370    /usr/lib/libm-2.17.so
4d90b000-4d90c000 rw-p 00041000 fd:01 1185370    /usr/lib/libm-2.17.so
4d90e000-4d923000 r-xp 00000000 fd:01 1207721    /usr/lib/libz.so.1.2.7
4d923000-4d924000 r--p 00014000 fd:01 1207721    /usr/lib/libz.so.1.2.7
4d924000-4d925000 rw-p 00015000 fd:01 1207721    /usr/lib/libz.so.1.2.7
4d9c1000-4d9dc000 r-xp 00000000 fd:01 1207726    /usr/lib/libgcc_s-4.8.1-20130603.so.1
4d9dc000-4d9dd000 r--p 0001a000 fd:01 1207726    /usr/lib/libgcc_s-4.8.1-20130603.so.1
4d9dd000-4d9de000 rw-p 0001b000 fd:01 1207726    /usr/lib/libgcc_s-4.8.1-20130603.so.1
b77b1000-b77b3000 rw-p 00000000 00:00 0 
b77d2000-b77d5000 rw-p 00000000 00:00 0 
b77d5000-b77d6000 r-xp 00000000 00:00 0          [vdso]
bfa3d000-bfa5e000 rw-p 00000000 00:00 0          [stack]
Аварийный останов (core dumped)

Version-Release number of selected component:
btrfs-progs-0.20.rc1.20130308git704a08c-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        btrfs restore /dev/md127 /STORAGE/BACKUP1
crash_function: close_ctree
executable:     /usr/sbin/btrfs
kernel:         3.10.5-201.fc19.i686.PAE
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (2 frames)
 #6 close_ctree at disk-io.c:1324
 #7 cmd_restore at cmds-restore.c:883
Comment 1 Sergey Kurtsev 2013-08-14 14:53:08 EDT
Created attachment 786652 [details]
File: backtrace
Comment 2 Sergey Kurtsev 2013-08-14 14:53:11 EDT
Created attachment 786653 [details]
File: cgroup
Comment 3 Sergey Kurtsev 2013-08-14 14:53:15 EDT
Created attachment 786654 [details]
File: core_backtrace
Comment 4 Sergey Kurtsev 2013-08-14 14:53:18 EDT
Created attachment 786655 [details]
File: dso_list
Comment 5 Sergey Kurtsev 2013-08-14 14:53:21 EDT
Created attachment 786656 [details]
File: environ
Comment 6 Sergey Kurtsev 2013-08-14 14:53:25 EDT
Created attachment 786657 [details]
File: limits
Comment 7 Sergey Kurtsev 2013-08-14 14:53:28 EDT
Created attachment 786658 [details]
File: maps
Comment 8 Sergey Kurtsev 2013-08-14 14:53:31 EDT
Created attachment 786659 [details]
File: open_fds
Comment 9 Sergey Kurtsev 2013-08-14 14:53:34 EDT
Created attachment 786660 [details]
File: proc_pid_status
Comment 10 Sergey Kurtsev 2013-08-14 14:53:37 EDT
Created attachment 786661 [details]
File: var_log_messages
Comment 11 Sergey Kurtsev 2013-08-15 04:10:59 EDT
Tried to recover crashed drive with 'btrfs recover'

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        btrfs restore /dev/md127 /STORAGE/BACKUP1
crash_function: close_ctree
executable:     /usr/sbin/btrfs
kernel:         3.10.6-200.fc19.i686.PAE
package:        btrfs-progs-0.20.rc1.20130501git7854c8b-4.fc20
reason:         Process /usr/sbin/btrfs was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            0
Comment 12 Eric Sandeen 2013-09-18 11:52:47 EDT
A new git snapshot of btrfs-progs has been pushed to F19 testing.  If possible, please re-test these bugs & feel free to close or comment as appropriate.

Thanks,
-Eric
Comment 13 Eric Sandeen 2013-11-14 14:31:50 EST
This is a mass update of F19 and F20 btrfs-progs bugs.

A btrfs-progs git snapshot has been built in Rawhide and submitted for F19 and F20 testing.

If your bug was reproducible, please re-test with the new build, and update this bug to let us know if it's been resolved.  If so I can add it to the Bodhi errata.

Thanks,
-Eric
Comment 14 Eric Sandeen 2013-11-26 10:26:26 EST
It's probably clear by now that nobody is going to look at these old abrt bugs on ancient btrfs-progs snapshots.  So let's just be honest about it and close them.

Much newer code is being pushed out to F19 and F20 and rawhide; hopefully new abrt issues can be given more attention in the future.

Note You need to log in before you can comment on or make changes to this bug.